View Issue Details

IDProjectCategoryView StatusLast Update
0021827mantisbtfilterspublic2017-01-31 04:02
ReporterMr.BricodageAssigned Tocommunity 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.2 
Target Version2.1.0Fixed in Version2.1.0 
Summary0021827: Displaying date filter values : month always displayed in text (english)
Description

In filter view mode, use date filter field : months are always displayed in long format text. Displayed text is always english (no translation done by mantis).

Even if the localization is not possible for date when using config "$g_*date_format" values (see 0014589:0032553), the filter api force the use of "F" parameter for date() when displaying months values and that can be used to localize the displayed string.

In filter_api.php, row 3017:
echo date( 'F', $t_time );

Results can be localized when dislaying current date filters values :
echo langget( 'month' . strtolower ( date( 'F', $t_time ) ) );

Steps To Reproduce

1) Change Mantis lang to not use english
2) declare a date filter => declaration is done with localized month values, view mode use english

Additional Information

Issue 0004771 point to the same problem (at least note 0004771:0011056).

TagsNo tags attached.

Relationships

child of 0021935 closedcproensa Filter api refactoring, manage stored filters 

Activities

cproensa

cproensa

2016-10-28 07:02

developer   ~0054350

fix included in Pr 862

atrol

atrol

2016-10-28 07:09

developer   ~0054352

fix included in Pr 862

Who knows when we will merge PR 862 ...
Wouldn't it be better to get small changes commited independant from PR 862?

cproensa

cproensa

2016-10-28 07:16

developer   ~0054353

The code modified was previously altered by that PR.
It's a matter of merge now in the branch, or resolve the conflict by rebasing/merging

I am going to propose testing stage for said PR, to get it closer to its finalization

Issue History

Date Modified Username Field Change
2016-10-27 18:39 Mr.Bricodage New Issue
2016-10-28 06:52 cproensa Assigned To => community
2016-10-28 06:52 cproensa Status new => assigned
2016-10-28 07:02 cproensa Note Added: 0054350
2016-10-28 07:09 atrol Note Added: 0054352
2016-10-28 07:16 cproensa Note Added: 0054353
2016-11-20 15:28 cproensa Relationship added related to 0021935
2016-11-20 15:28 cproensa Relationship replaced child of 0021935
2016-11-20 15:29 cproensa Relationship added parent of 0021044
2016-11-20 15:29 cproensa Relationship added parent of 0006823
2017-01-14 17:24 cproensa Status assigned => resolved
2017-01-14 17:24 cproensa Resolution open => fixed
2017-01-14 17:24 cproensa Fixed in Version => 2.1.0
2017-01-14 17:24 cproensa Target Version => 2.1.0
2017-01-14 18:02 cproensa Relationship deleted parent of 0021044
2017-01-14 18:03 cproensa Relationship deleted parent of 0006823
2017-01-31 04:02 vboctor Status resolved => closed